org.jboss.jca.core.tx.jbossts

## Class LocalXAResourceStatImpl

- java.lang.Object
- - org.jboss.jca.core.tx.jbossts.LocalXAResourceImpl
  - - org.jboss.jca.core.tx.jbossts.LocalXAResourceStatImpl

- All Implemented Interfaces:
    javax.transaction.xa.XAResource, org.jboss.jca.core.spi.transaction.local.LocalXAResource, org.jboss.tm.LastResource, org.jboss.tm.XAResourceWrapper
  Direct Known Subclasses:
    LocalConnectableXAResourceStatImpl

      public class LocalXAResourceStatImpl
      extends LocalXAResourceImpl

  Local XA resource implementation with statistics
  Author:
    Jesper Pedersen

- - ### Field Summary

    - ### Fields inherited from interface javax.transaction.xa.XAResource

      `TMENDRSCAN, TMFAIL, TMJOIN, TMNOFLAGS, TMONEPHASE, TMRESUME, TMSTARTRSCAN, TMSUCCESS, TMSUSPEND, XA_OK, XA_RDONLY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalXAResourceStatImpl(java.lang.String productName, java.lang.String productVersion, java.lang.String jndiName, org.jboss.jca.core.spi.transaction.XAResourceStatistics xastat)` Creates a new instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `commit(javax.transaction.xa.Xid xid, boolean onePhase)`
    `void` | `rollback(javax.transaction.xa.Xid xid)`
    `void` | `start(javax.transaction.xa.Xid xid, int flags)`

    - ### Methods inherited from class org.jboss.jca.core.tx.jbossts.LocalXAResourceImpl

      `end, forget, getJndiName, getProductName, getProductVersion, getResource, getTransactionTimeout, isSameRM, prepare, recover, setConnectionListener, setConnectionManager, setTransactionTimeout, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LocalXAResourceStatImpl

          public LocalXAResourceStatImpl(java.lang.String productName,
                                         java.lang.String productVersion,
                                         java.lang.String jndiName,
                                         org.jboss.jca.core.spi.transaction.XAResourceStatistics xastat)

      Creates a new instance.
      Parameters:
        `productName` - product name
        `productVersion` - product version
        `jndiName` - jndi name
        `xastat` - The statistics

  - ### Method Detail

    - #### start

          public void start(javax.transaction.xa.Xid xid,
                            int flags)
                     throws javax.transaction.xa.XAException

      Specified by:
        `start` in interface `javax.transaction.xa.XAResource`
      Overrides:
        `start` in class `LocalXAResourceImpl`
      Throws:
        `javax.transaction.xa.XAException`

    - #### commit

          public void commit(javax.transaction.xa.Xid xid,
                             boolean onePhase)
                      throws javax.transaction.xa.XAException

      Specified by:
        `commit` in interface `javax.transaction.xa.XAResource`
      Overrides:
        `commit` in class `LocalXAResourceImpl`
      Throws:
        `javax.transaction.xa.XAException`

    - #### rollback

          public void rollback(javax.transaction.xa.Xid xid)
                        throws javax.transaction.xa.XAException

      Specified by:
        `rollback` in interface `javax.transaction.xa.XAResource`
      Overrides:
        `rollback` in class `LocalXAResourceImpl`
      Throws:
        `javax.transaction.xa.XAException`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)